Title: Application Passwords
Published: December 5, 2020
Last modified: January 16, 2024

---

# Application Passwords

## In this article

 * [Schema](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema)
 * [Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments)
 * [Create a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#create-a-application-password)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-2)
    - [Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition)
 * [Delete a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#delete-a-application-password)
    - [Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-2)
    - [Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request)
 * [Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password-2)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request-2)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-3)
 * [Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password-3)
    - [Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request-3)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-4)
 * [Update a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#update-a-application-password)
    - [Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-5)
    - [Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-3)
    - [Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request-2)
 * [Delete a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#delete-a-application-password-2)
    - [Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-4)
    - [Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request-3)

[ Back to top](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#wp--skip-link--target)

## 󠀁[Schema](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema)󠁿

The schema defines all the fields that exist within a application password record.
Any response from these endpoints can be expected to contain the fields below unless
the `_filter` query parameter is used or the schema field only appears in a specific
context.

 |   `uuid`  |   The unique identifier for the application password.

 JSON data type: string,
 Format: uuid

Read only

Context: `view`, `edit`, `embed`

  |  
 |   `app_id`  |   A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace.

 JSON data type: string,
 Format: uuid

Context: `view`, `edit`, `embed`

  |  
 |   `name`  |   The name of the application password.

 JSON data type: string

Context: `view`, `edit`, `embed`

  |  
 |   `password`  |   The generated password. Only available after adding an application.

 JSON data type: string

Read only

Context: `edit`

  |  
 |   `created`  |   The GMT date the application password was created.

 JSON data type: string,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Read only

Context: `view`, `edit`

  |  
 |   `last_used`  |   The GMT date the application password was last used.

 JSON data type: string or null,
 Format: datetime ([details](https://core.trac.wordpress.org/ticket/41032))

Read only

Context: `view`, `edit`

  |  
 |   `last_ip`  |   The IP address the application password was last used by.

 JSON data type: string or null,
 Format: ip

Read only

Context: `view`, `edit`

  |

## 󠀁[Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request)󠁿

 `GET /wp/v2/users/<user_id>)/application-passwords`

 Query this endpoint to retrieve a specific application password record.

 `$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords`

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments)󠁿

 |   `context`  |   Scope under which the request is made; determines fields present in response.

 Default: `view`

 One of: `view`, `embed`, `edit`

 |

## 󠀁[Create a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#create-a-application-password)󠁿

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-2)󠁿

 |   `[app_id](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema-app_id)`  |   A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace.  |  
 |   `[name](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema-name)`  |   The name of the application password.

 Required: 1

  |

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition)󠁿

 `POST /wp/v2/users/<user_id>)/application-passwords`

## 󠀁[Delete a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#delete-a-application-password)󠁿

 There are no arguments for this endpoint.

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-2)󠁿

 `DELETE /wp/v2/users/<user_id>)/application-passwords`

### 󠀁[Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request)󠁿

 `$ curl -X DELETE https://example.com/wp-json/wp/v2/users/<user_id>)/application-
passwords`

## 󠀁[Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password-2)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request-2)󠁿

 `GET /wp/v2/users/<user_id>)/application-passwords/introspect`

 Query this endpoint to retrieve a specific application password record.

 `$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords/
introspect`

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-3)󠁿

 |   `context`  |   Scope under which the request is made; determines fields present in response.

 Default: `view`

 One of: `view`, `embed`, `edit`

 |

## 󠀁[Retrieve a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#retrieve-a-application-password-3)󠁿

### 󠀁[Definition & Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-example-request-3)󠁿

 `GET /wp/v2/users/<user_id>)/application-passwords/<uuid>`

 Query this endpoint to retrieve a specific application password record.

 `$ curl https://example.com/wp-json/wp/v2/users/<user_id>)/application-passwords/
<uuid>`

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-4)󠁿

 |   `context`  |   Scope under which the request is made; determines fields present in response.

 Default: `view`

 One of: `view`, `embed`, `edit`

 |

## 󠀁[Update a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#update-a-application-password)󠁿

### 󠀁[Arguments](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#arguments-5)󠁿

 |   `[app_id](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema-app_id)`  |   A UUID provided by the application to uniquely identify it. It is recommended to use an UUID v5 with the URL or DNS namespace.  |  
 |   `[name](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#schema-name)`  |   The name of the application password.  |

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-3)󠁿

 `POST /wp/v2/users/<user_id>)/application-passwords/<uuid>`

### 󠀁[Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request-2)󠁿

## 󠀁[Delete a Application Password](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#delete-a-application-password-2)󠁿

 There are no arguments for this endpoint.

### 󠀁[Definition](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#definition-4)󠁿

 `DELETE /wp/v2/users/<user_id>)/application-passwords/<uuid>`

### 󠀁[Example Request](https://developer.wordpress.org/rest-api/reference/application-passwords/?output_format=md#example-request-3)󠁿

 `$ curl -X DELETE https://example.com/wp-json/wp/v2/users/<user_id>)/application-
passwords/<uuid>`

First published

December 5, 2020

Last updated

January 16, 2024

Edit article

[ Improve it on GitHub: Application Passwords ](https://github.com/WP-API/docs/edit/master/reference/application-passwords.md)

Changelog

[ See list of changes: Application Passwords ](https://github.com/WP-API/docs/commits/master/reference/application-passwords.md)

[  Previous: Reference](https://developer.wordpress.org/rest-api/reference/)

[  Next: Block Directory Items](https://developer.wordpress.org/rest-api/reference/block-directory-items/)